{#
 # This file is part of the DATAtourisme project.
 # @author Conjecto <contact@conjecto.com>
 # 2022
 # SPDX-License-Identifier: GPL-3.0-or-later
 # For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 #}

{% if data.latitude is defined and data.longitude is defined %}
  <div class="box box-primary box-solid">
    <div class="box-header with-border">
      <h4 class="box-title">
        <span class="fa fa-map-marker"></span>&nbsp;Localisation
      </h4>
      <!-- /.box-tools -->
      <div class="box-tools pull-right">
        <a href="https://www.openstreetmap.org/#map=15/{{ data.latitude }}/{{ data.longitude }}"
           target="_blank"
           class="btn btn-box-tool"
        >
          <i class="fa fa-external-link"></i>
        </a>
      </div>
    </div>
    <!-- /.box-header -->
    <div class="box-body p-0">
      <div id="map" style="height: 250px; position: relative;"></div>

      {% if data.addressLocality %}
        <div class="p-10">
          <ul class="list-unstyled">
            {% if data.streetAddress %}<li><strong>Adresse :</strong> {{ data.streetAddress }}</li>{% endif %}
            {% if data.postalCode %}<li><strong>CP :</strong> {{ data.postalCode }}</li>{% endif %}
            <li title="{{ data.addressLocality }}">
              <strong>Ville :</strong>
              {% if is_linkable(data.addressLocality) %}
                <a href="{{ data.addressLocality }}">{{ data.addressLocality | shorten }}</a>
              {% else %}
                {{ data.addressLocality }}
              {% endif %}
            </li>
          </ul>
        </div>
      {% endif %}
    </div>

    <script>
        document.addEventListener("DOMContentLoaded", function() {
          const coords = [
            {{ data.latitude }},
            {{ data.longitude }}
          ];
          let map = L.map('map').setView(coords, 15);
          // map.attributionControl.setPrefix('DATAtourisme')
          L.Icon.Default.imagePath = '/assets/images/leaflet/';
          L.tileLayer('https://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png', {attribution: '&copy; <a href="https://www.openstreetmap.org/copyright">OpenStreetMap</a> contributors, <a href="https://creativecommons.org/licenses/by-sa/2.0/">CC-BY-SA</a>'}).addTo(map);
          L.marker(coords).addTo(map);
        });
    </script>
  </div>
{% endif %}